## SwCallList

SwCallList

## Functions

SwCallList * | sw_call_list_new ()
void | sw_call_list_free ()
void | sw_call_list_add ()
void | sw_call_list_remove ()
gboolean | sw_call_list_is_empty ()
void | sw_call_list_cancel_all ()

## Types and Values

| SwCallList

## Description

## Functions

### sw_call_list_new ()

    SwCallList *
    sw_call_list_new (void);

### sw_call_list_free ()

    void
    sw_call_list_free (SwCallList *list);

### sw_call_list_add ()

    void
    sw_call_list_add (SwCallList *list,
                      RestProxyCall *call);

### sw_call_list_remove ()

    void
    sw_call_list_remove (SwCallList *list,
                         RestProxyCall *call);

### sw_call_list_is_empty ()

    gboolean
    sw_call_list_is_empty (SwCallList *list);

### sw_call_list_cancel_all ()

    void
    sw_call_list_cancel_all (SwCallList *list);

## Types and Values

### SwCallList

    typedef struct _SwCallList SwCallList;